import 'package:account/src/core/providers/account_repository_provider.dart';
import 'package:account/src/features/delete_account/domain/delete_account_use_case.dart';
import 'package:account/src/features/delete_account/domain/delete_account_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final deleteAccountUseCaseProvider = Provider.autoDispose<DeleteAccountUseCase>((ref) {
  final accountRepository = ref.read(accountRepositoryProvider);
  return DeleteAccountUseCaseImpl(accountRepository);
});
